Skip to main content
PATCH
cURL
Stripe Connections must be updated through the Infisical UI. Check out the configuration docs for Stripe Connections for a step-by-step guide.

Path Parameters

connectionId
string<uuid>
required

The ID of the Stripe Connection to be updated.

Body

application/json
credentials
object

The credentials used to connect with Stripe.

name
string

The updated name of the Stripe Connection. Must be slug-friendly.

Required string length: 1 - 64
description
string | null

The updated description of the Stripe Connection.

Maximum string length: 256
isPlatformManagedCredentials
enum<boolean>

Not supported for Stripe Connections.

Available options:
false
gatewayId

Not supported for Stripe Connections.

gatewayPoolId

Not supported for Stripe Connections.

isAutoRotationEnabled
enum<boolean>

Not supported for Stripe Connections.

Available options:
false
rotation

Not supported for Stripe Connections.

Response

Default Response

appConnection
Stripe (OAuth) · object
required